<template>
	<view class="register_index">
		<u-form
			ref="form"
			:model="formRegister"
			:rules="rulesRegister"
			labelWidth="auto"
			labelPosition="left">
			<u-form-item
				label="头像"
				prop="photo"
				borderBottom>
				<u-image :src="`https://szpipe.thhy-tj.com/${formRegister.photo}`" width="100rpx" height="100rpx" v-if="formRegister.photo !==''"></u-image>
				<u-image src="https://szpipe.thhy-tj.com/group1/M00/00/01/bx5d1GSc-FmAQYjnAAAN3YyC44Y541.png" width="100rpx" height="100rpx" v-if="formRegister.photo===''"></u-image>
			</u-form-item>
			<u-form-item
					label="编号"
					prop="jobNum"
					borderBottom>
				<u-input
					:disabled="disabled"
					v-model="formRegister.jobNum"
					disabledColor="#ffffff"
					placeholder="请输入编号"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="姓名"
					prop="realName"
					borderBottom>
				<u-input
					:disabled="disabled"
					disabledColor="#ffffff"
					v-model="formRegister.realName"
					placeholder="请输入姓名"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="性别"
					prop="sex"
					borderBottom
					@click="changeSex()">
				<u-input
					v-model="formRegister.sex"
					placeholder="请选择性别"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="手机号码"
					prop="phone"
					borderBottom>
				<u-input
					v-model="formRegister.phone"
					placeholder="请输入手机号码"
					disabledColor="#ffffff"
					:disabled="disabled"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="身份证号"
					prop="idNo"
					borderBottom>
				<u-input
					v-model="formRegister.idNo"
					placeholder="请输入身份证号"
					:disabled="disabled"
					disabledColor="#ffffff"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="岗位"
					prop="posName"
					borderBottom
					@click="changePosition()">
				<u-input
					v-model="formRegister.posName"
					placeholder="请选择岗位"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="班组"
					prop="groupName"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.groupName"
					placeholder="请选择班组"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="部门"
					prop="departName"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.departName"
					placeholder="请选择部门"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="政治面貌"
					prop="zzmm"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.zzmm"
					placeholder="请选择政治面貌"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="有无从业证书"
					prop="hasCert"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.hasCert"
					placeholder="请选择从业证书"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="进厂时间"
					prop="comeFactoryTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.comeFactoryTime"
					placeholder="请选择分公司"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="离岗时间"
					prop="leaveFactoryTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.leaveFactoryTime"
					placeholder="请选择分公司"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="入职时间"
					prop="employedTime"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.employedTime"
					placeholder="请选择分公司"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="籍贯"
					prop="jg"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.jg"
					placeholder="请选择分公司"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
			<u-form-item
					label="人员状态"
					prop="status"
					borderBottom
					@click="changeCompany()">
				<u-input
					v-model="formRegister.status"
					placeholder="请选择分公司"
					:disabled="disabled"
					disabledColor="#FFFFFF"
					border="none">
				</u-input>
			</u-form-item>
		</u-form>
	</view>
</template>

<script>
import { basrUrl } from '../../api/http';
import { throttle } from '../../plugins/public';
	export default {
		data() {
			return {
				fileList: [],
				formRegister: {
					realName: '',
					sex: '',
					phone: '',
					idNo: '',
					posId: '',
					remark: ''
				},
				disabled:true,
				showSex: false, // 性别选择
				sexColumns: [[{
					value: 0,
					label: '男'
				}, {
					value: 1,
					label: '女'
				}]],
				showCompany: false,
				companyColumns: [],
				showPosition: false,
				positionColumns: [],
				rulesRegister: {}
			}
		},
		onLoad(option) {
			this.getUserInfo()
		},
		methods: {
			//获取个人信息
			getUserInfo(){
				this.$api.labourSystem.userSelfInfo({}).then(res=>{
					if(res.statusMsg === 'ok'){
						this.formRegister = res.data
						this.$set(this.formRegister,'sex',res.data.sex==='0'?'男':res.data.sex==='1'?'女':'')
						this.$set(this.formRegister,'hasCert',res.data.hasCert==='1'?'有':res.data.hasCert==='0'?'无':'')
						this.$set(this.formRegister,'status',res.data.status==='1'?'在职':res.data.status==='2'?'离职':' ')
						this.$set(this.formRegister,'groupName',res.data.groupName===null?' ':res.data.groupName)
						this.$set(this.formRegister,'departName',res.data.departName===null?' ':res.data.departName)
						this.$set(this.formRegister,'zzmm',res.data.zzmm===null?' ':res.data.zzmm)
						this.$set(this.formRegister,'comeFactoryTime',res.data.comeFactoryTime===null?' ':res.data.comeFactoryTime)
						this.$set(this.formRegister,'leaveFactoryTime',res.data.leaveFactoryTime===null?' ':res.data.leaveFactoryTime)
						this.$set(this.formRegister,'employedTime',res.data.employedTime===null?' ':res.data.employedTime)
						this.$set(this.formRegister,'jg',res.data.jg===null?' ':res.data.jg)
					}else{
						uni.$u.toast(res.statusMsg);
					}
				})
			},
			// 读取图片后
			afterRead(event) {
				console.log(event);
				this.fileList.push({
					status: 'loading',
					message: '上传中',
				})
				uni.uploadFile({
					url: `${basrUrl}/file/file/upload`,
					fileType: 'image',
					filePath: event.file.url,
					name: 'file',
					success: (res) => {
						const data = JSON.parse(res.data);
						this.$set(this.fileList, this.fileList.length - 1, {
							id: this.fileList.length + 1,
							status: 'success',
							message: '',
							data: data.data,
							url: `https://szpipe.thhy-tj.com/${data.data}`
						})
					},
					fail: (error) => {
						uni.$u.toast('上传失败！');
					}
				})
			},
			// 删除图片
			deleteImage(event) {
				console.log(event,'????');
				this.$nextTick(() => {
					this.fileList.splice(event.index, 1);
				})
			},
		}
	}
</script>

<style scoped lang="scss">
.register_index {
	position: relative;
	padding: 10px;
	height: calc(100vh - 20px);
}

.submit_bnt {
	position: absolute;
	bottom: 5%;
	width: calc(100% - 20px);
}

::v-deep .u-input__content__field-wrapper__field {
	text-align: right !important;
}

::v-deep .u-upload__wrap {
	justify-content: flex-end;
}

::v-deep .u-upload__wrap__preview {
	margin: 0 !important;
}
::v-deep .u-form-item__body{
	justify-content: space-between;
}
::v-deep .u-form-item__body__right{
	flex: none!important;
}
::v-deep .u-form{
	padding-bottom: 20px;
}
</style>